## im-config 0.3

=== debian/changelog ===
im-config (0.3) unstable; urgency=low

  * Added skim support.
  * Enabled menu if corresponding package is installed even for low
    priority entries.
  * Fixed library check logic to set environment variables. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 17 Jul 2010 21:42:59 +0900

im-config (0.2) unstable; urgency=low

  * Set menu entry to be NoDisplay.
  * Improved GTK+ menu messages.
  * Added console menu.
  * Updated documentation.

 -- Osamu Aoki <osamu@debian.org>  Mon, 28 Jun 2010 22:22:55 +0900

im-config (0.1) unstable; urgency=low

  * Created a new package to manage the input method on Debian with a
    much simpler structure than that of im-switch.
  * Initial release to Debian. Closes: #587258

 -- Osamu Aoki <osamu@debian.org>  Sun, 27 Jun 2010 14:41:55 +0900

## im-config 0.3+squeeze1

=== debian/changelog ===
im-config (0.3+squeeze1) stable; urgency=low

  * Fixed package removal side effects. Closes: #618021 

 -- Osamu Aoki <osamu@debian.org>  Thu, 17 Mar 2011 20:17:49 +0900

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	sed -e "s/@@VERSION@@/$$(dpkg-parsechangelog --format dpkg|sed -ne '/^Version/s/Version: *//p')/"\
         <share/xinputrc.common.in >share/xinputrc.common

override_dh_auto_clean:
	-rm -f share/xinputrc.common

## im-config 0.8

=== po/Makefile ===
PROGRAM	=	im-config

pot: $(PROGRAM).pot

$(PROGRAM).pot:
	xgettext -o $@ --language=Shell ../$(PROGRAM) ../data/*.conf ../share/*

%.po: $(PROGRAM).pot
	msgmerge -U $@ $<

locale/%/LC_MESSAGES/$(PROGRAM).mo: %.po
	mkdir -p locale/$*/LC_MESSAGES
	msgfmt -o $@ $<

mo: locale/ja/LC_MESSAGES/$(PROGRAM).mo

po: ja.po

clean:
	rm -f  *.po~ *.mo
	rm -rf locale

update:
	rm -f $(PROGRAM).pot
	$(MAKE) po
	$(MAKE) clean

.PHONY: pot clean mo update po

## im-config 0.4

=== debian/changelog ===
im-config (0.4) unstable; urgency=low

  * Added xsunpinyin support by Zhengpeng Hou.
  * Adjusted gcin priority in line with README.Debian.
  * Lowered skim priority since it will not be supported under KDE4.
  * Fixed package removal side effects. Closes: #618021 

 -- Osamu Aoki <osamu@debian.org>  Mon, 14 Mar 2011 22:58:05 +0900

=== debian/control ===
Source: im-config
Section: x11
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/collab-maint/im-config.git
Vcs-browser: http://git.debian.org/?p=collab-maint/im-config.git

Package: im-config
Architecture: all
Depends: zenity, dialog, ${misc:Depends}
Recommends: x11-common
Conflicts: im-switch
Provides: im-switch
Description: Input method configuration framework
 im-config package provides the framework to configure and to switch
 the input method on X Window System. This input method is the essential
 mechanism for Japanese, Chinese and Korean (CJK) languages to enter
 their non-ASCII native characters. 
 .
 Many modern input methods such as IBus support not only one of these CJK
 languages but support almost all languages simultaneously by
 dynamically switching keyboard modes with GUI helper program.
 .
 By installing this package, the most desirable input method and its
 backend conversion engine are automatically configured with both the X
 Window System Input Method (XIM), GTK+ input method module and Qt input
 method module.
 .
 You can further customize your input method with 'im-config' command.

## im-config 0.5

=== debian/changelog ===
im-config (0.5) unstable; urgency=low

  * Added multi-arch support. Closes: #644254 
  * Updated fcitx support. Closes: #642215
  * Supported GTK+2/GTK+3 immodule for all capable input method
    (enable it only when both gtk2 and gtk3 immodules are available).
  * Dependency adjustment for dialog and zenity. Closes: #631777
  * Clutter support for ibus.
  * Updated contents of README.Debian.
  * Refined UI dialogue and indicated auto choice with @.

 -- Osamu Aoki <osamu@debian.org>  Sun, 13 Nov 2011 13:15:43 +0900

## im-config 0.7

=== debian/changelog ===
im-config (0.7) unstable; urgency=low

  * Updated fcitx description.
  * Added LANG=C for dpkg-query. Thanks Igor Urazov. Closes: #651646

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Dec 2011 09:29:43 +0900

im-config (0.6) unstable; urgency=low

  * Added lib-thai and imhangul support. Closes: #650244
  * Refactored UI code and added automatic variable export support
    for custom user script.
  * Added -a -c -s options and updated im-config(8). 
  * Major code clean up readying for gettext usage.
  * Updated README.Debian.

 -- Osamu Aoki <osamu@debian.org>  Mon, 05 Dec 2011 23:48:05 +0900

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: x11
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 8.0.0)
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/im-config.git
 Vcs-browser: http://git.debian.org/?p=collab-maint/im-config.git
 
 Package: im-config
 Architecture: all
-Depends: zenity, dialog, ${misc:Depends}
-Recommends: x11-common
+Depends: zenity | dialog, ${misc:Depends}
+Recommends: x11-common, dialog
 Conflicts: im-switch
 Provides: im-switch
 Description: Input method configuration framework
@@ -25,7 +25,7 @@
  .
  By installing this package, the most desirable input method and its
  backend conversion engine are automatically configured with both the X
- Window System Input Method (XIM), GTK+ input method module and Qt input
- method module.
+ Window System Input Method (XIM), GTK+ input method module, Qt input
+ method module, and clutrer input method module.
  .
  You can further customize your input method with 'im-config' command.

## im-config 0.8

=== debian/changelog ===
im-config (0.8) unstable; urgency=low

  * Internationalization with gettext. 

 -- Osamu Aoki <osamu@debian.org>  Tue, 20 Dec 2011 00:37:14 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: im-config
 Architecture: all
-Depends: zenity | dialog, ${misc:Depends}
+Depends: zenity | dialog, gettext-base, ${misc:Depends}
 Recommends: x11-common, dialog
 Conflicts: im-switch
 Provides: im-switch

## im-config 0.10

=== debian/changelog ===
im-config (0.10) unstable; urgency=low

  * Added German translation. Thanks Hendrik Knackstedt.
  * Added HIME and Chinese translation.  Thank Yao Wei. Closes: #652522

 -- Osamu Aoki <osamu@debian.org>  Tue, 17 Jan 2012 22:06:36 +0900

im-config (0.9) unstable; urgency=low

  * Moved gettext to xinputrc.common. Thanks Patrice Duroux. 
    Closes: #653700 

 -- Osamu Aoki <osamu@debian.org>  Fri, 30 Dec 2011 22:50:57 +0900

## im-config 0.12

=== debian/changelog ===
im-config (0.12) unstable; urgency=low

  * Added -n option for use by external scripts. Closes: #659458 

 -- Osamu Aoki <osamu@debian.org>  Thu, 16 Feb 2012 00:29:50 +0900

im-config (0.11) unstable; urgency=low

  * Updated zh_CN translation.  Thanks Aron Xu.
  * Updated hime and gcin. Thanks Yao Wei.  Closes: #658581

 -- Osamu Aoki <osamu@debian.org>  Sun, 05 Feb 2012 20:25:22 +0900

## im-config 0.17

=== po/Makefile ===
--- 
+++ 
@@ -12,9 +12,12 @@
 	mkdir -p locale/$*/LC_MESSAGES
 	msgfmt -o $@ $<
 
-mo: locale/ja/LC_MESSAGES/$(PROGRAM).mo
+mo: locale/ja/LC_MESSAGES/$(PROGRAM).mo \
+	locale/de/LC_MESSAGES/$(PROGRAM).mo \
+	locale/zh_TW/LC_MESSAGES/$(PROGRAM).mo \
+	locale/zh_CN/LC_MESSAGES/$(PROGRAM).mo
 
-po: ja.po
+po: ja.po de.po zh_TW.po zh_CN.po
 
 clean:
 	rm -f  *.po~ *.mo

=== debian/changelog ===
im-config (0.17) unstable; urgency=low

  * Update for scim using Tz-Huan Huang' patch as its basis. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 29 Jun 2012 21:35:17 +0900

im-config (0.16) unstable; urgency=low

  * Reactivate zenity as default backend under X with more
    sanity checks. Closes: #672271 

 -- Osamu Aoki <osamu@debian.org>  Tue, 15 May 2012 23:10:05 +0900

im-config (0.15) unstable; urgency=low

  * Updated #671655 bug fix with new xim menu.
  * Disable zenity as default backend under X. Closes: #672262

 -- Osamu Aoki <osamu@debian.org>  Wed, 09 May 2012 21:52:38 +0900

im-config (0.14) unstable; urgency=low

  * Fixed -n option operation.  Closes: #671233 
  * Add bare XIM support XKB users. Closes: #671655 

 -- Osamu Aoki <osamu@debian.org>  Mon, 07 May 2012 00:05:26 +0900

im-config (0.13) unstable; urgency=low

  * Fixed uim starting script.  Closes: #670265, #670269 
  * Updated Standards-Version to 3.9.3.

 -- Osamu Aoki <osamu@debian.org>  Thu, 26 Apr 2012 23:44:48 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/im-config.git
 Vcs-browser: http://git.debian.org/?p=collab-maint/im-config.git

## im-config 0.19ubuntu2

=== debian/changelog ===
im-config (0.19ubuntu2) raring; urgency=low

  * debian/patches/02_list_installed_input_methods.patch:
    Add an "-l" option which lists input methods that im-config
    supports (LP: #1090754).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 18 Dec 2012 21:20:00 +0100

im-config (0.19ubuntu1) raring; urgency=low

  * debian/patches/01_make_cjkv_mode_default.patch:
    Make cjkv mode the system default (LP: #1076975).
  * debian/postinst:
    Make sure that 80im-switch is removed by adding md5sum for
    version 1.22ubuntu3.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 10 Dec 2012 14:24:00 +0100

im-config (0.19) unstable; urgency=low

  * Uploading to unstable.

 -- Osamu Aoki <osamu@debian.org>  Sun, 02 Dec 2012 11:07:57 +0900

im-config (0.19~pre1) experimental; urgency=low

  * Fix for programs stared by dbus by moving exporting of environment 
    variables earlier. Closes: #694446

 -- Osamu Aoki <osamu@debian.org>  Thu, 29 Nov 2012 00:14:56 +0900

im-config (0.18) unstable; urgency=low

  * Updated uim support for gtk3 and add uim-xim requirement for XIM.

 -- Osamu Aoki <osamu@debian.org>  Sat, 25 Aug 2012 13:38:42 +0900

im-config (0.18~pre1) experimental; urgency=low

  * Inspired by Aron Xu's patch, new im-launch script was created
    while moving its hook script to 70im-config_launch. Closes: #683950

 -- Osamu Aoki <osamu@debian.org>  Sat, 11 Aug 2012 13:28:14 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 8.0.0)
+Build-Depends: debhelper (>= 8.0.0), quilt
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/im-config.git
 Vcs-browser: http://git.debian.org/?p=collab-maint/im-config.git

## im-config 0.19ubuntu3

=== debian/changelog ===
im-config (0.19ubuntu3) raring; urgency=low

  * debian/postinst:
    For cases when 80im-switch is not removed because it was modified
    by the user, we prepend a line that in effect disables it
    (LP: #1101836).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 21 Feb 2013 15:23:20 +0100

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with quilt

override_dh_auto_build:
	sed -e "s/@@VERSION@@/$$(dpkg-parsechangelog --format dpkg|sed -ne '/^Version/s/Version: *//p')/"\
         <share/xinputrc.common.in >share/xinputrc.common
	make -C po mo

override_dh_auto_clean:
	-rm -f share/xinputrc.common
	make -C po clean

## im-config 0.21

=== debian/changelog ===
im-config (0.21) unstable; urgency=low

  * Disable im-switch hook script if im-switch package is removed
    and im-config is installed.  Closes: #701224

 -- Osamu Aoki <osamu@debian.org>  Tue, 26 Feb 2013 23:04:39 +0900

im-config (0.20) unstable; urgency=low

  * Fix regression on uim for #683950 caused by the 0.19~pre1 fixing
    #694446. Closes: #695940
  * Adjust desktop file to match the gnome-shell 3.4.1-8 behavior
    updated just around the wheezy freeze on 23 Jun 2012.
  * Work around zenity bug for readable display under Japanese.
    Closes: #695939 

 -- Osamu Aoki <osamu@debian.org>  Sat, 15 Dec 2012 11:25:11 +0900

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_auto_build:
 	sed -e "s/@@VERSION@@/$$(dpkg-parsechangelog --format dpkg|sed -ne '/^Version/s/Version: *//p')/"\

## im-config 0.21ubuntu3

=== debian/changelog ===
im-config (0.21ubuntu3) raring; urgency=low

  * Add 03_kdialog_support.path
  * Add kde-baseapps-bin as alternative dependency for dialog applications

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 10 Apr 2013 12:21:34 +0200

im-config (0.21ubuntu2) raring; urgency=low

  * Add an upstart user-session job to activate im-config. (LP: #1155205)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 25 Mar 2013 10:04:29 -0400

im-config (0.21ubuntu1) raring; urgency=low

  * debian/patches/02_list_installed_input_methods.patch:
    Refreshed.
  * debian/postinst:
    Don't prepend a disable line to 80im-switch if it's there already
    via a previous update of the im-switch package (LP: #1101836).
  * debian/rules:
    Use quilt in Ubuntu only. This change should make it possible to
    use exactly the same version of this package in Debian and Ubuntu.
  * Merge with Debian unstable, remaining Ubuntu changes:
    - debian/control: Build-Depends on quilt.
    - debian/rules: Use quilt when building on Ubuntu.
    - debian/postinst: Additional condition to be met to edit
      80im-switch.
    - debian/patches/01_make_cjkv_mode_default.patch
    - debian/patches/02_list_installed_input_methods.patch
    - debian/patches/series

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 27 Feb 2013 02:16:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	if dpkg-vendor --is ubuntu; then \
+		dh $@ --with quilt; \
+	else \
+		dh $@; \
+	fi
 
 override_dh_auto_build:
 	sed -e "s/@@VERSION@@/$$(dpkg-parsechangelog --format dpkg|sed -ne '/^Version/s/Version: *//p')/"\
@@ -10,3 +14,7 @@
 override_dh_auto_clean:
 	-rm -f share/xinputrc.common
 	make -C po clean
+
+override_dh_auto_install:
+	dh_auto_install
+	install -m 644 -D debian/im-config.user-session.upstart debian/im-config/usr/share/upstart/sessions/im-config.conf

## im-config 0.21ubuntu4

=== debian/changelog ===
im-config (0.21ubuntu4) saucy; urgency=low

  * debian/patches/01_modify_system_default.patch:
    Change the system default on Unity from "cjkv" to "auto" to make
    ibus work by default with the Text Entry tab in
    gnome-control-center also when a non-cjkv language is the current
    display language (LP: #1234768).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 04 Oct 2013 03:07:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: im-config
 Section: x11
 Priority: optional
-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 8.0.0), quilt
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/im-config.git
@@ -9,7 +10,7 @@
 
 Package: im-config
 Architecture: all
-Depends: zenity | dialog, gettext-base, ${misc:Depends}
+Depends: zenity | kde-baseapps-bin | dialog, gettext-base, ${misc:Depends}
 Recommends: x11-common, dialog
 Conflicts: im-switch
 Provides: im-switch

## im-config 0.24

=== Makefile ===
PROGRAM	=	im-config
ifeq ($(wildcard debian/changelog),)
VERSION = VCS-$(shell date -u  +%Y%m%d%H%M)
else
VERSION = $(shell dpkg-parsechangelog --format dpkg|\
		sed -ne '/^Version/s/Version: *//p')
endif

# escape  with \#
LANGS = $(shell grep -v '^\#' po/LINGUAS)
POTFILESIN = $(shell grep -v '^\#' po/POTFILES.in)

all: share/xinputrc.common mo

share/xinputrc.common: share/xinputrc.common.in
	sed -e "s/@@VERSION@@/$(VERSION)/" <$< >$@

pot: po/$(PROGRAM).pot

po/$(PROGRAM).pot:
	xgettext -o $@ --language=Shell $(PROGRAM) $(POTFILESIN)

po/%.po: po/$(PROGRAM).pot
	msgmerge -U $@ $<

po/locale/%/LC_MESSAGES/$(PROGRAM).mo: po/%.po
	mkdir -p po/locale/$*/LC_MESSAGES
	msgfmt -o $@ $<

mo:	$(addsuffix /LC_MESSAGES/$(PROGRAM).mo, $(addprefix po/locale/, $(LANGS)))

po:	$(addsuffix .po, $(addprefix po/, $(LANGS)))

foo:
	echo "$(addsuffix /LC_MESSAGES/$(PROGRAM).mo, $(addprefix po/locale/, $(LANGS)))"
	echo "-----"
	echo "$(addsuffix .po, $(addprefix po/, $(LANGS)))"

clean:
	-rm -f share/xinputrc.common
	rm -rf po/locale
	rm -f  po/*.po~ po/*.mo

distclean: clean

update:
	rm -f po/$(PROGRAM).pot
	$(MAKE) po
	$(MAKE) clean

.PHONY: all pot distclean clean mo update po

=== debian/changelog ===
im-config (0.24-1ubuntu4.2) trusty; urgency=medium

  * debian/patches/03-not-always-require-zenity.patch:
    Get rid of unwarrented crash of gnome-language-selector when
    calling "im-config -l" (LP: #1450147).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 04 Nov 2015 16:45:00 +0100

im-config (0.24-1ubuntu4.1) trusty; urgency=medium

  * debian/patches/02_support-qt5.patch:
    To support Qt5, set QT_IM_MODULE(LP: #1309885)

 -- Nobuto MURATA <nobuto@ubuntu.com>  Fri, 25 Apr 2014 03:06:22 +0900

im-config (0.24-1ubuntu4) trusty; urgency=medium

  * debian/patches/01_fcitx-default-if-installed.patch,
    debian/im-config.user-session.upstart:
    Make fcitx the system default if installed (LP: #1297831).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 27 Mar 2014 16:17:00 +0100

im-config (0.24-1ubuntu3) trusty; urgency=low

  * debian/im-config.user-session.upstart:
    Description corrected (LP: #1271667).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 23 Jan 2014 14:11:00 +0100

im-config (0.24-1ubuntu2) trusty; urgency=low

  * Alternative depends for zenity: kde-baseapps-bin (contains kdialog)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 16 Jan 2014 13:39:32 +0100

im-config (0.24-1ubuntu1) trusty; urgency=low

  * Dropped patches:
    - 01_modify_system_default.patch (no longer needed)
    - 02_list_installed_input_methods.patch (applied upstream)
    - 03_kdialog_support.path (applied upstream)
  * Merge with Debian unstable, remaining Ubuntu changes:
    - debian/im-config.user-session.upstart
    - debian/rules: Install upstart job script
    - debian/postinst: Additional condition to be met to edit
      80im-switch.
  * The new version includes a bunch of PO files (LP: #1225305).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 10 Jan 2014 10:35:00 +0100

im-config (0.24-1) unstable; urgency=medium

  * Fix typos in manpage
  * Fix changelog 0.23-1.  Closes: #724024, #724309
  * Use safe tmp file kde menu.
  * Add many PO files from Ubuntu translation site. 

 -- Osamu Aoki <osamu@debian.org>  Fri, 10 Jan 2014 00:37:20 +0900

im-config (0.23-1) unstable; urgency=medium

  * Revert 0.22-2 and 0.22-3 changes to keep things simple since 
    it was not a bug.
  * Add -l, -m, and -o options. -l is compatible with the Ubuntu 
    change. Closes: #694941
  * Update translation (uk, ru).  Closes: #724024, #724309
  * Refined build script.

 -- Osamu Aoki <osamu@debian.org>  Wed, 08 Jan 2014 23:22:20 +0900

im-config (0.22-3) unstable; urgency=low

  * Fix typo regression in 0.22-2. Closes: #710969

 -- Osamu Aoki <osamu@debian.org>  Tue, 04 Jun 2013 23:36:33 +0900

im-config (0.22-2) unstable; urgency=low

  * Fix wild card match logic error for all IM. Closes: #709921

 -- Osamu Aoki <osamu@debian.org>  Wed, 29 May 2013 21:39:44 +0900

im-config (0.22-1) unstable; urgency=low

  * Change this to non-native 3.0 (quilt) source/format.
  * KUBUNTU patch to use kdialog too.  Closes: #705284
  * Mallit input method support by Michał Zając.  Closes: #701831 

 -- Osamu Aoki <osamu@debian.org>  Sun, 19 May 2013 08:48:18 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 8.0.0), quilt
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/im-config.git
-Vcs-browser: http://git.debian.org/?p=collab-maint/im-config.git
+Build-Depends: debhelper (>= 9.0.0)
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/im-config.git
+Vcs-browser: http://anonscm.debian.org/?p=collab-maint/im-config.git
 
 Package: im-config
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	install -m 644 -D debian/im-config.user-session.upstart debian/im-config/usr/share/upstart/sessions/im-config.conf

=== debian/watch ===
# Debian is the upstream
# This is uploaded as non-native package so other distro can chage easily.

## im-config 0.26

=== debian/changelog ===
im-config (0.26-2ubuntu1) utopic; urgency=low

  * Dropped patches:
    - 01_fcitx-default-if-installed.patch (replaced by upstream fix in
      debian/rules)
    - 02_support-qt5.patch (applied upstream)
  * Merge with Debian unstable (LP: #1296753), remaining Ubuntu changes:
    - debian/im-config.user-session.upstart
    - debian/rules: Install upstart job script
    - debian/postinst: Additional condition to be met to edit
      80im-switch.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 28 Apr 2014 02:40:00 +0200

im-config (0.26-2) unstable; urgency=medium

  * Fix build on Ubuntu.  (Regression in 0.26-1) 

 -- Osamu Aoki <osamu@debian.org>  Fri, 25 Apr 2014 23:29:09 +0900

im-config (0.26-1) unstable; urgency=medium

  * Update to use the new /usr/bin/uim-toolbar for uim.
  * Add kde-baseapps-bin to support KDE better.
  * Set the Ubuntu specific default as fcitx. LP: #1297831
  * Qt5 support for ibus, fcitx.  Closes: #732396

 -- Osamu Aoki <osamu@debian.org>  Fri, 25 Apr 2014 00:43:14 +0900

im-config (0.25-1) unstable; urgency=medium

  * Fix spell errors while updating the im-config script to be compatible
    with data generated by the old script. LP: #1296753

 -- Osamu Aoki <osamu@debian.org>  Sun, 30 Mar 2014 03:02:41 +0900

im-config (0.24-1ubuntu5) utopic; urgency=medium

  * debian/patches/02_support-qt5.patch:
    To support Qt5, set QT_IM_MODULE(LP: #1309885)

 -- Nobuto MURATA <nobuto@ubuntu.com>  Fri, 25 Apr 2014 02:55:58 +0900

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
 
 Package: im-config
 Architecture: all
-Depends: zenity | kde-baseapps-bin | dialog, gettext-base, ${misc:Depends}
-Recommends: x11-common, dialog
+Depends: gettext-base, zenity | kde-baseapps-bin | dialog, ${misc:Depends}
+Recommends: dialog, x11-common
 Conflicts: im-switch
 Provides: im-switch
 Description: Input method configuration framework
  im-config package provides the framework to configure and to switch
  the input method on X Window System. This input method is the essential
  mechanism for Japanese, Chinese and Korean (CJK) languages to enter
- their non-ASCII native characters. 
+ their non-ASCII native characters.
  .
  Many modern input methods such as IBus support not only one of these CJK
  languages but support almost all languages simultaneously by

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	# Adjust priority for each distribution.
	# Debian: ibus (21) fcitx(22)
	# Ubuntu: fcitx(20) ibus (21)
	if dpkg-vendor --is ubuntu; then \
		cd debian/im-config/usr/share/im-config/data ; \
		mv 22_fcitx.conf 20_fcitx.conf ; \
		mv 22_fcitx.rc 20_fcitx.rc ; \
	fi

	install -m 644 -D debian/im-config.user-session.upstart debian/im-config/usr/share/upstart/sessions/im-config.conf

## im-config 0.27

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,8 @@
 distclean: clean
 
 update:
-	rm -f po/$(PROGRAM).pot
+	touch -t 200001010001 po/$(PROGRAM).pot
+	touch -t 200001010000 po/*.po
 	$(MAKE) po
 	$(MAKE) clean

=== debian/changelog ===
im-config (0.27-2) unstable; urgency=medium

  * Redirect the original stderr to /dev/null to avoid warning message 
    "Gtk-Message: ..." from zenity.  Closes: #770220

 -- Osamu Aoki <osamu@debian.org>  Sun, 22 Feb 2015 16:58:54 +0900

im-config (0.27-1) unstable; urgency=medium

  * Make STDERR output less verbose as default. LP: #1375089 
  * Customize desktop file for Ubuntu. LP: #1342677

 -- Osamu Aoki <osamu@debian.org>  Sat, 18 Oct 2014 01:34:34 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: im-config
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 9.0.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/im-config.git
-Vcs-browser: http://anonscm.debian.org/?p=collab-maint/im-config.git
+Vcs-browser: http://anonscm.debian.org/cgit/collab-maint/im-config.git
 
 Package: im-config
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,5 @@
 		cd debian/im-config/usr/share/im-config/data ; \
 		mv 22_fcitx.conf 20_fcitx.conf ; \
 		mv 22_fcitx.rc 20_fcitx.rc ; \
+		echo "OnlyShowIn=KDE;GNOME;" >> debian/im-config/usr/share/applications/im-config.desktop ;\
 	fi
-
-	install -m 644 -D debian/im-config.user-session.upstart debian/im-config/usr/share/upstart/sessions/im-config.conf

## im-config 0.29

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 pot: po/$(PROGRAM).pot
 
-po/$(PROGRAM).pot:
+po/$(PROGRAM).pot: FORCE
 	xgettext -o $@ --language=Shell $(PROGRAM) $(POTFILESIN)
 
 po/%.po: po/$(PROGRAM).pot
@@ -44,9 +44,8 @@
 distclean: clean
 
 update:
-	touch -t 200001010001 po/$(PROGRAM).pot
 	touch -t 200001010000 po/*.po
 	$(MAKE) po
 	$(MAKE) clean
 
-.PHONY: all pot distclean clean mo update po
+.PHONY: all pot distclean clean mo update po FORCE

=== debian/changelog ===
im-config (0.29-1ubuntu16) yakkety; urgency=medium

  * debian/user/im-config.service: Reverse the order of "initctl set-env" and
    "dbus-update-activation-environment". $XMODIFIERS can contain an "=" (its
    value might be, for example, "@im=ibus"). upstart forwards "set-env -g"
    calls to D-Bus, but it constructs the parameters to the call incorrectly
    and splits on "=" characters in the value, discarding anything which
    follows. We can work around this bug by calling "initctl set-env -g"
    first, and then "dbus-update-activation-environment" to overwrite the
    buggy value. (LP: #1630090)
  * debian/user/im-config.service: Get rid of one eval -
    "dbus-update-activation-environment" will look up the variable in the
    environment if you don't specify a value.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Oct 2016 12:28:35 +0100

im-config (0.29-1ubuntu15) yakkety; urgency=medium

  * debian/patches/01-ubuntu-default-mode.patch:
    - Merged previous patches "01-ubuntu-locale-override.patch" and
      "02-ubuntu-system-default.patch".
    - When checking XDG_CURRENT_DESKTOP, consistently take into account
      that its value may be a multi value list.
  * debian/control:
    - Bump Standards-Version to 3.9.8.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 04 Oct 2016 03:44:00 +0200

im-config (0.29-1ubuntu14) yakkety; urgency=medium

  * debian/user/: Add systemd user unit and upstart override for im-config.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Jul 2016 19:44:14 +0200

im-config (0.29-1ubuntu13) yakkety; urgency=medium

  * debian/patches/use-distinguishable-abstract-address.patch: adjust
    ibus-daemon args to include "--address 'unix:tmpdir=/tmp/ibus'" so it has
    a mediatable abstract socket path (LP: #1580463)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 26 May 2016 12:53:53 -0500

im-config (0.29-1ubuntu12) xenial; urgency=medium

  * debian/control: replace dialog with whiptail (LP: #1561614)

 -- Aron Xu <happyaron.xu@gmail.com>  Sat, 26 Mar 2016 11:38:07 +0800

im-config (0.29-1ubuntu11) xenial; urgency=medium

  * debian/patches/use-whiptail-as-better-dialog.patch
    - Use whiptail as better dialog alternative (LP: #1561614)

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 25 Mar 2016 11:10:43 +0800

im-config (0.29-1ubuntu10) xenial; urgency=medium

  * debian/patches/01-ubuntu-locale-override.patch:
    Exempt GNOME desktops from modifying auto mode for CJKV locales
    (LP: #1551283).
  * debian/patches/02-ubuntu-system-default.patch:
    Make "auto" the system default for Ubuntu GNOME (LP: #1551283).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 08 Mar 2016 01:25:00 +0100

im-config (0.29-1ubuntu9) xenial; urgency=medium

  * debian/patches/02-ubuntu-system-default.patch:
    Make "auto" the system default for MATE (LP: #1550325).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 26 Feb 2016 17:34:00 +0100

im-config (0.29-1ubuntu8) xenial; urgency=medium

  * debian/patches/03-not-always-require-zenity.patch:
    Get rid of unwarrented crash of gnome-language-selector when
    calling "im-config -l" (LP: #1450147).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 04 Nov 2015 16:45:00 +0100

im-config (0.29-1ubuntu7) wily; urgency=medium

  * debian/patches/02-ubuntu-system-default.patch:
    Use "cjkv" instead of "xim" on non-Unity desktops (LP: #1481025).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 15 Oct 2015 04:08:00 +0200

im-config (0.29-1ubuntu6) wily; urgency=medium

  * debian/patches/02-ubuntu-system-default.patch:
    Make "xim" the system default for non-CJKV locales on non-Unity
    desktops (LP: #1481025)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 12 Oct 2015 12:42:39 +0100

im-config (0.29-1ubuntu5) wily; urgency=medium

  * Re-introduce 01_modify_system_default.patch fro wily (LP: #1481025)

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 09 Oct 2015 19:17:34 +0800

im-config (0.29-1ubuntu4) wily; urgency=medium

  * Set fcitx to system-wide default for:
    - ko_KR, fcitx-hangul (LP: #1459078)
    - vi_VN, fcitx-unikey (LP: #1459080)

 -- Aron Xu <happyaron@ubuntu.com>  Sun, 14 Jun 2015 01:19:54 +0800

im-config (0.29-1ubuntu3) wily; urgency=medium

  * Set fcitx to system-wide default for ja_JP (LP: #1439006).

 -- Aron Xu <happyaron@ubuntu.com>  Sat, 09 May 2015 07:02:27 +0800

im-config (0.29-1ubuntu2) vivid; urgency=medium

  * Fix installation directory in rules.

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 23 Mar 2015 15:01:16 +0800

im-config (0.29-1ubuntu1) vivid; urgency=medium

  [ William Hua ]
  * Export env variables explictly in upstart job.
    (LP: #1433831)

  [ Aron Xu ]
  * Merge with Debian experimental:
    - Install upstart user session job.
    - Drop delta in postinst, no needed.
    - All other patches are merged upstream.

 -- Aron Xu <happyaron@ubuntu.com>  Sun, 22 Mar 2015 10:03:01 +0800

im-config (0.29-1) experimental; urgency=medium

  * Refine regex for locale dependent override control and adjust
    its messages.
  * Remove old work around for Ubuntu in debian/rules.
  * Update translation for ja.

 -- Osamu Aoki <osamu@debian.org>  Sun, 22 Mar 2015 00:55:33 +0900

im-config (0.28-1) experimental; urgency=medium

  * Merge Debian jessie patch to main branch.
  * Fix path error in debian/rules for Ubuntu. Closes: #767007 
  * unset TEXTDOMAIN and TEXTDOMAINDIR.  Closes: #767483
  * Locale dependent override control via IM_CONFIG_PREFERRED_RULE.
    Inspired by Aron's patch. Closes: #780373
  * Really fix chenge for LP: #1375089 in 0.27-1.

 -- Osamu Aoki <osamu@debian.org>  Fri, 20 Mar 2015 22:04:14 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: im-config
 Section: x11
 Priority: optional
-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 9.0.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/im-config.git
 Vcs-browser: http://anonscm.debian.org/cgit/collab-maint/im-config.git
 
 Package: im-config
 Architecture: all
-Depends: gettext-base, zenity | kde-baseapps-bin | dialog, ${misc:Depends}
-Recommends: dialog, x11-common
+Depends: gettext-base, zenity | kde-baseapps-bin | whiptail, ${misc:Depends}
+Recommends: whiptail, x11-common
 Conflicts: im-switch
 Provides: im-switch
 Description: Input method configuration framework

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	# Adjust Desktop menu for Ubuntu.
	if dpkg-vendor --is ubuntu; then \
		echo "OnlyShowIn=KDE;GNOME;" >> debian/im-config/usr/share/applications/im-config.desktop ;\
	fi

	install -m 644 -D debian/im-config.user-session.upstart debian/im-config/usr/share/upstart/sessions/im-config.conf
	install -m 644 -D debian/user/im-config.service debian/im-config/usr/lib/systemd/user/im-config.service
	install -m 644 -D debian/user/im-config.override debian/im-config/usr/share/upstart/systemd-session/upstart/im-config.override

## im-config 0.30

=== debian/changelog ===
im-config (0.30-1) unstable; urgency=medium

  * New upstream release acknowledging all NMU patches.

 -- Osamu Aoki <osamu@debian.org>  Wed, 07 Dec 2016 22:00:16 +0900

im-config (0.29-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update Vcs-* urls.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 17 Jun 2016 14:08:47 +0900

im-config (0.29-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Uploading to unstable. with maintainer's permission.
  * Use whiptail as a better dialog.
    - debian/patches/use_whiptail_instead_of_dialog.patch: new file.
    - originally created by Aron Xu <aron@debian.org>,
      modified by HIGUCHI Daisuke (VDR dai) <dai@debian.org>.
  * debian/control
    - Update Vcs-* fields to use https.
  * Eliminate lintian warning: quilt-patch-missing-description
    - debian/patches/gcin-qt5.patch: Add DEP-3 patch headers.
    - debian/patches/hime-qt5.patch: ditto.
  * Eliminate lintian warning: command-in-menu-file-and-desktop-file
    - debian/menu: Remove.
  * Override lintian warning: command-with-path-in-maintainer-script
    - debian/im-config.lintian-overrides: Add, This is false positive.
  * Update Standards-Version to 3.9.8.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 16 Jun 2016 22:16:34 +0900

im-config (0.29-1.2) experimental; urgency=medium

  * Non-maintainer upload.
  * fix uim Qt5 immodule path. Closes: #792588

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Tue, 03 Nov 2015 17:55:01 +0900

im-config (0.29-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Update gcin configuration for multi-arch and Qt5.
    Closes: #787618
  * Update HIME configuration for multi-arch and Qt5.
    Closes: #800577

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Oct 2015 22:19:09 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: im-config
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 9.0.0)
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/im-config.git
-Vcs-browser: http://anonscm.debian.org/cgit/collab-maint/im-config.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/im-config.git
+Vcs-browser: https://anonscm.debian.org/cgit/collab-maint/im-config.git
 
 Package: im-config
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	# Adjust Desktop menu for Ubuntu.
	if dpkg-vendor --is ubuntu; then \
		echo "OnlyShowIn=KDE;GNOME;" >> debian/im-config/usr/share/applications/im-config.desktop ;\
	fi

## im-config 0.32

=== debian/changelog ===
im-config (0.32-1ubuntu3) artful; urgency=high

  * debian/patches/discard-fcitx-launch-errors.patch:
    - Discard STDERR messages when launching Fcitx to prevent that the
      DMs' error dialog is shown gratuitously at login (LP: #1722427).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 15 Oct 2017 11:21:00 +0200

im-config (0.32-1ubuntu2) artful; urgency=medium

  * debian/input-method-config.sh, debian/rules:
    - Script which works around (in 17.10) the fact that
      graphical-session-pre.target services are not always run as
      intended (LP: #1720250).
  * debian/patches/dont-start-ibus-if-gdm3.patch:
    - Prevents two instances of ibus-daemon, which fixes issue with
      suggestion window not showing up when using ibus-mozc
      (LP: #1720250).
  * Dropped the upstart user session job.
  * debian/menu: Dropped.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 04 Oct 2017 17:17:00 +0200

im-config (0.32-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1720184), remaining changes:
    - d/im-config.user-session.upstart, d/im-config.links, d/rules:
      - Install upstart user session job.
    - d/user/im-config.override, d/user/im-config.service, d/rules:
      - Install systemd user session job.
    - debian/menu
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/use-distinguishable-abstract-address.patch
  * debian/patches/use-distinguishable-abstract-address.patch:
    - Refreshed.
  * debian/patches/03-not-always-require-zenity.patch:
    - Dropped; applied upstream.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 29 Sep 2017 00:13:00 +0200

im-config (0.32-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Disable uim-toolbar-gtk{,3}-systray due to outdated.
    - They are outdated, buggy and have alternatives (uim-toolbar-gtk{,3}).
  * Use uim-toolbar-qt5 instead of uim-toolbar-qt (nonexistent).
  * Wait a sec before starting uim-toolbar.
    - uim-toolbar's spawning is too faster than desktop environment's starting.

 -- Osamu Aoki <osamu@debian.org>  Wed, 27 Sep 2017 21:15:24 +0900

im-config (0.31-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * Start ibus with IBUS_ENABLE_SYNC_MODE=0.  Closes: #812826, #838318, #876794
  * Add Czech language strings to the desktop file.  Closes: #868036 
  * im-config -l doesn't need GUI.  Closes: #804067
  * Update PO with trivial unfuzzy. 

  [ Boyuan Yang ]
  * Refresh debian/copyright file as machine-readable format.

 -- Osamu Aoki <osamu@debian.org>  Tue, 26 Sep 2017 22:41:36 +0900

im-config (0.29-1.4ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable (LP: #1482938, LP: #1642001), remaining
    changes:
    - d/im-config.user-session.upstart, d/im-config.links, d/rules:
      - Install upstart user session job.
    - d/user/im-config.override, d/user/im-config.service, d/rules:
      - Install systemd user session job.
    - debian/menu
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/03-not-always-require-zenity.patch
    - debian/patches/use-distinguishable-abstract-address.patch

  * debian/patches/use-whiptail-as-better-dialog.patch:
    - Dropped; applied upstream.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 16 Nov 2016 03:44:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: im-config
 Section: x11
 Priority: optional
-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 9.0.0)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/im-config.git
@@ -9,8 +10,8 @@
 
 Package: im-config
 Architecture: all
-Depends: gettext-base, zenity | kde-baseapps-bin | whiptail, ${misc:Depends}
-Recommends: whiptail, x11-common
+Depends: gettext-base, ${misc:Depends}
+Recommends: x11-common, zenity | kde-baseapps-bin | whiptail
 Conflicts: im-switch
 Provides: im-switch
 Description: Input method configuration framework
@@ -26,6 +27,6 @@
  By installing this package, the most desirable input method and its
  backend conversion engine are automatically configured with both the X
  Window System Input Method (XIM), GTK+ input method module, Qt input
- method module, and clutrer input method module.
+ method module, and clutter input method module.
  .
  You can further customize your input method with 'im-config' command.

## im-config 0.34

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,10 @@
 
 distclean: clean
 
+# Use this target on devel branch source
+package:
+	debmake -t -y -zx -b':sh' -i pdebuild
+
 update:
 	touch -t 200001010000 po/*.po
 	$(MAKE) po

=== debian/changelog ===
im-config (0.34-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - d/user/im-config.service, d/rules, d/im-config.links:
      - Install systemd user session job.
    - d/input-method-config.sh, d/rules:
      - Script which works around the fact that
        graphical-session-pre.target services are not always run as
        intended.
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/use-distinguishable-abstract-address.patch
    - debian/patches/dont-start-ibus-if-gdm3.patch
    - debian/patches/discard-fcitx-launch-errors.patch

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 13 Feb 2018 23:21:00 +0100

im-config (0.34-1) unstable; urgency=medium

  * Drop 6 year old transition code.  Closes: #690212
  * depend on kdialog.  Closes: #885837 

 -- Osamu Aoki <osamu@debian.org>  Sun, 31 Dec 2017 15:26:59 +0900

im-config (0.33-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * Detect uim with uim and uim-common.  Closes: #883917, #877585

 -- Osamu Aoki <osamu@debian.org>  Sat, 23 Dec 2017 21:33:22 +0900

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 9.0.0)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10.0.0)
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/im-config.git
 Vcs-browser: https://anonscm.debian.org/cgit/collab-maint/im-config.git
 
 Package: im-config
 Architecture: all
 Depends: gettext-base, ${misc:Depends}
-Recommends: x11-common, zenity | kde-baseapps-bin | whiptail
+Recommends: x11-common,
+            zenity | kdialog | kde-baseapps-bin (<< 4:16.08.3-2~) | whiptail
 Conflicts: im-switch
 Provides: im-switch
 Description: Input method configuration framework

## im-config 0.38

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,19 @@
 VERSION = $(shell dpkg-parsechangelog --format dpkg|\
 		sed -ne '/^Version/s/Version: *//p')
 endif
+
+FILES = \
+	70im-config_launch \
+	im-config \
+	im-launch \
+	share/im-config.common \
+	share/xinputrc.common.in \
+	$(wildcard data/*.rc) \
+	$(wildcard data/*.conf)
+
+PRETESTS = $(addsuffix .pretest, $(FILES))
+
+TESTS = $(addsuffix .test, $(FILES))
 
 # escape  with \#
 LANGS = $(shell grep -v '^\#' po/LINGUAS)
@@ -27,6 +40,18 @@
 	mkdir -p po/locale/$*/LC_MESSAGES
 	msgfmt -o $@ $<
 
+# run test on all script first
+%.pretest: %
+	@/bin/sh -n $< ; echo $$? > $@
+
+# stop if error was found
+%.test: %.pretest
+	@[ `cat $<` = "0" ]
+
+test: $(PRETESTS)
+	# check if any syntax check resulted in error
+	@$(MAKE) $(TESTS)
+
 mo:	$(addsuffix /LC_MESSAGES/$(PROGRAM).mo, $(addprefix po/locale/, $(LANGS)))
 
 po:	$(addsuffix .po, $(addprefix po/, $(LANGS)))
@@ -40,6 +65,8 @@
 	-rm -f share/xinputrc.common
 	rm -rf po/locale
 	rm -f  po/*.po~ po/*.mo
+	-rm -f $(PRETESTS)
+	-rm -f $(TESTS)
 
 distclean: clean
 
@@ -52,4 +79,4 @@
 	$(MAKE) po
 	$(MAKE) clean
 
-.PHONY: all pot distclean clean mo update po FORCE
+.PHONY: all pot distclean clean mo update po test FORCE

=== debian/changelog ===
im-config (0.38-1ubuntu2) disco; urgency=medium

  * debian/patches/dont-set-GTK_IM_MODULE-on-wayland.patch:
    - Don't set GTK_IM_MODULE if IBus on Wayland session
      (LP: #1816808).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 02 Apr 2019 18:30:00 +0200

im-config (0.38-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1787360), remaining changes:
    - d/user/im-config.service, d/rules, d/im-config.links:
      - Install systemd user session job.
    - d/input-method-config.sh, d/rules:
      - Script which works around the fact that
        graphical-session-pre.target services are not always run as
        intended.
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/use-distinguishable-abstract-address.patch
    - debian/patches/dont-start-ibus-if-gdm3.patch
  * debian/patches/discard-fcitx-launch-errors.patch:
    - Dropped; applied upstream.
  * debian/input-method-config.sh, debian/user/im-config.service:
    - Unset TEXTDOMAIN and TEXTDOMAINDIR.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 23 Aug 2018 19:05:00 +0200

im-config (0.38-1) unstable; urgency=medium

  * Switch from bash to sh for im-config.
  * Add build time check to prevent shell grammar errors.

 -- Osamu Aoki <osamu@debian.org>  Sat, 04 Aug 2018 23:53:32 +0900

im-config (0.37-1) unstable; urgency=high

  * Team upload.
  * Fix shell grammar errors introduced in last upload.
    Closes: #905264, #905259, #905260.
  * Discard STDERR messages when launching fcitx.
    (Merged downstream harmless fix for LP: #1722427)
  * debian/control: Bump Standards-Version to 4.2.0 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Thu, 02 Aug 2018 19:48:38 +0800

im-config (0.36-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Make code compatible with zsh.  Closes: #905129
  * Update package requirement for fcitx.
  * Update zh_CN translation.

 -- Osamu Aoki <osamu@debian.org>  Wed, 01 Aug 2018 22:51:23 +0900

im-config (0.35-1) unstable; urgency=medium

  * Fix kdialog support code.  Closes: #899185
  * Update VCS to new salsa service in compliance to the Debian
    Policy 5.6.26 (version 4.1.5).
  * Bump standards version to 4.1.5 and compat to 11.

 -- Osamu Aoki <osamu@debian.org>  Mon, 16 Jul 2018 15:54:09 +0900

im-config (0.34-1ubuntu3) cosmic; urgency=medium

  * debian/patches/dont-set-GTK_IM_MODULE-on-wayland.patch:
    - Dropped. The 0.34-1ubuntu2 changes reversed due to regression,
      e.g. LibreOffice crash when using IBus (LP: #1761554).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 10 Jun 2018 22:03:00 +0200

im-config (0.34-1ubuntu2) cosmic; urgency=medium

  * debian/patches/dont-set-GTK_IM_MODULE-on-wayland.patch:
    - Don't set GTK_IM_MODULE if IBus on Wayland session
      (LP: #1761554).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 24 May 2018 23:54:00 +0200
